<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>Title</title>
  <link rel="stylesheet" href="test.css">
</head>
<body>
  <div class="container">
    <div id="blockTest" class="block">
    </div>
  </div>
<button onclick="declancheAnime()"> Cliquez </button>
</body>
<script>
  let state = false;

  function declancheAnime() {
      if(state){
          applyAnime("animeDeTestBack", "500", "blockFin", "block", document.getElementById("blockTest"))
      }else {
          applyAnime("animeDeTest", "500", "block", "blockFin", document.getElementById("blockTest"))
      }
      state = !state;
  }

  function applyAnime(animName, duration, startState, endState, element){
      // element.style.animationIterationCount = "infinite"
      element.style.animationName = animName
      element.style.animationDuration =  duration + "ms"
      element.classList.remove(startState)
      element.classList.add(endState)
      setTimeout(()=>{element.style.animationName = null; element.style.animationDuration = null}, duration)
  }
</script>
</html>
